Description

This is a guide on installing Spree on FreeBSD 9.

Prepare the Environment

o Make sure the system is up to date:
sudo pkg update && sudo pkg upgrade
e |nstall a few dependencies:

sudo pkg install ruby rubygem-rails git ImageMagick-nox1ll

Install Spree

e Switch to the home directory:
eel =
e |nstall the spree gem:
gem install spree
e |nstall the spree_auth_devise gem:
gem install spree_auth_devise
e Create a new rails application:
rails new example_site
® Install spree into the new rails app:
spree install example_site

e [nstall the spree auth gem in the new rails app:
bundle exec tails g spree:auth:install

® Run the test server to check that it was installed correctly:

rails s -b 0.0.0.0

o The frontend is at http:/spree.example.com:3000
o The admin panel is at http://spree.example.com:3000/admin

Install Piwik Support

o Edit the Gemfile:

vi Gemfile

o And add the following to the end:

gem 'spree_piwik'

® |nstall the gem dependencies:

bundle install

e |nitialize the spree_piwik module

bundle exec rails g spree_piwik:install

e Edit the spree_piwik initializer file:

vi config/initializers/spree_piwik.rb

o And uncomment and adjust the piwik values accordingly:

Spree::Piwik::Config[:piwik_url] = "piwik.example.com"
Spree::Piwik::Config[:piwik_id] = 4
Resources

e htips://github.com/spree/spree

History

#1 - 12/07/2015 03:20 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 12/07/2015 03:40 PM - Daniel Curtis
- Description updated

#3 - 12/07/2015 03:53 PM - Daniel Curtis
- Description updated
- % Done changed from 30 to 50
http://spree.example.com:3000
http://spree.example.com:3000/admin
https://github.com/spree/spree

#4 - 12/10/2015 01:51 PM - Daniel Curtis
- Description updated
- % Done changed from 50 to 70

#5 - 06/04/2017 09:12 PM - Daniel Curtis

- Status changed from In Progress to Closed
